Skip to content

Attachments

An attachment is a file that belongs to an image custom field for a job. An image attachment is always of type JPEG.

The API only allows the retrieval of these images. It is not possible to update, edit or delete attachments via the API.

We do not currently support the download of PDF attachments, but this will be available soon.

Retrieve A Specific Attachment Image

Request

Reads one attachment and returns a JPEG. You can find the attachment ID using the job API call.

Security
apiKey
Path
attachment_idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/attachments/{attachment_id}.jpeg
curl -i -X GET \
  'https://api.vworkapp.com/v5/attachments/{attachment_id}.jpeg?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"private"
Content-Dispositionstring
Example:"inline"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Content-Transfer-Encodingstring
Example:"binary"
Datestring
Example:"Tue, 14 Jun 2016 01:18:54 GMT"
ETagstring
Example:"W/\"c53f11b5618e2a9f0d8c1c321b2f0c7e\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"b5aa1516-12bf-48ab-9c35-330359e53102"
X-Runtimestring
Example:"0.130267"
X-Unique-IDstring
Example:"CA7C7B8A:D0B8_0A001312:01BB_575F5AF2_A3BF29:1EC7"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyimage/jpeg
string

Raw XML payload — see the example.

Response
Returns JPEG bitmap data